###################
### MY PROGRAMS ###
###################

# See https://wiki.hyprland.org/Configuring/Keywords/

# Set programs that you use
$terminal = kitty
$fileManager = dolphin
$menu = albert toggle
$notificationsManager = fnott


#################
### AUTOSTART ###
#################

# Autostart necessary processes (like notifications daemons, status bars, etc.)
exec-once = ~/.config/hypr/scripts/autostart.sh
# Or execute your favorite apps at launch like this:
# exec-once = firefox


#############################
### ENVIRONMENT VARIABLES ###
#############################

# See https://wiki.hyprland.org/Configuring/Environment-variables/

# HyprCursor
env = HYPRCURSOR_THEME,VolantesCursors
env = XCURSOR_THEME,VolantesCursors
env = XCURSOR_SIZE,24
env = HYPRCURSOR_SIZE,24
# XDG Desktop Portal
env = XDG_SESSION_DESKTOP,Hyprland
env = XDG_CURRENT_DESKTOP,Hyprland

# Experimental

# GTK
# env = GTK_USE_PORTAL,1
# env = GDK_SCALE,2 # Xwayland scale
# Qt
# env = QT_WAYLAND_DISABLE_WINDOWDECORATION,
# Firefox
# env = MOZ_ENABLE_WAYLAND,1
# env = MOZ_USE_XINPUT2,1
# WLRoots
# env = WLR_NO_HARDWARE_CURSORS,1
# env = WLR_RENDERER,vulkan
# SDL
# env = SDL_VIDEODRIVER,wayland

# Nvidia

# GBM backend
# env = GBM_BACKEND,nvidia-drm
# env = __GLX_VENDOR_LIBRARY_NAME,nvidia
# Hardware acceleration
# env = LIBVA_DRIVER_NAME,nvidia
# env = NVD_BACKEND,direct
